高手指教~~~E:unable to locate package alien

为当前最终发行版之前的所有版本提供支持
回复
lordliu
帖子: 1
注册时间: 2010-12-22 14:47
送出感谢: 0
接收感谢: 0

高手指教~~~E:unable to locate package alien

#1

帖子 lordliu » 2010-12-23 20:54

要安装一个.rpm包,可是ubuntu不支持,只能安装deb包。
网上很多安装方法是用alien 指令来安装rpm转换来的deb包。
我装的Ubuntu10.10在运行 sodu apt-get install alien 时,
提示错误:unable to locate package alien
这个文件放在哪里啊?ubuntu系统中又这个文件吗?
头像
monk
帖子: 19507
注册时间: 2010-01-28 10:45
送出感谢: 6 次
接收感谢: 33 次

Re: 高手指教~~~E:unable to locate package alien

#2

帖子 monk » 2010-12-23 21:21

monk@laptop:~$ sudo apt-get install alien
[sudo] password for monk:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
build-essential debhelper dpkg-dev g++ g++-4.4 gettext html2text
intltool-debian libalgorithm-diff-perl libalgorithm-merge-perl libdpkg-perl
libmail-sendmail-perl librpm1 librpmbuild1 librpmio1 libstdc++6-4.4-dev
libsys-hostname-long-perl libunistring0 po-debconf rpm rpm-common rpm2cpio
建议安装的软件包:
lsb-rpm lintian dh-make debian-keyring g++-multilib g++-4.4-multilib
gcc-4.4-doc libstdc++6-4.4-dbg gettext-doc libstdc++6-4.4-doc
libmail-box-perl elfutils rpm-i18n
下列【新】软件包将被安装:
alien build-essential debhelper dpkg-dev g++ g++-4.4 gettext html2text
intltool-debian libalgorithm-diff-perl libalgorithm-merge-perl libdpkg-perl
libmail-sendmail-perl librpm1 librpmbuild1 librpmio1 libstdc++6-4.4-dev
libsys-hostname-long-perl libunistring0 po-debconf rpm rpm-common rpm2cpio
升级了 0 个软件包,新安装了 23 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
需要下载 15.3MB 的软件包。
解压缩后会消耗掉 38.2MB 的额外空间。
您希望继续执行吗?[Y/n]n
中止执行。
有啊

*********宁静致远*********
如果我说的有什么不对,请看签名第一行
头像
hiphen
帖子: 803
注册时间: 2010-08-27 15:53
送出感谢: 0
接收感谢: 1 次

Re: 高手指教~~~E:unable to locate package alien

#3

帖子 hiphen » 2010-12-24 15:57

没设好源? 若是lz去找一个可用的源阿
基础问题,请看入门手册http://people.ubuntu.com/~happyaron/udc-cn/lucid-html/

Acer aspire 4736G / Ubuntu 10.04LTS
Asus eeepc900 / Xandros
Nokia N900 / Maemo 1.2.12
头像
tenzu
论坛版主
帖子: 36913
注册时间: 2008-11-21 20:26
送出感谢: 0
接收感谢: 21 次

Re: 高手指教~~~E:unable to locate package alien

#4

帖子 tenzu » 2010-12-24 16:01

难道没有deb么?
回复

回到 “老旧版本支持”